## class CellText : public SimpleLabel

> cell text class.

## Inheritance:

### Public Methods

  | CellText (Grafport *g, XFont *ft, Cell *parent) creation.
  | CellText (const CellText &text) creation + initialization.
  void | Draw ()
  void | DrawAligned (TextAlign::Type a) draw cell text.
  void | UndrawAligned (TextAlign::Type a) erase cell cell.
  void | UpdatePosition (const Point *) update position and redraw.
  void | UpdateText (const string *) update text and redraw.
  void | UpdateFont (XFont *) update font and redraw.
  virtual bool | IsUnderlined () const
  void | SetUnderlined (bool b)
  void | UpdateUnderlined (bool b)
  Cell* | GetParent () const
  void | Write (OutputFile *f)
  bool | Read (InputFile *f, double format)

### Inherited from SimpleLabel:

### Public Fields

static const int MIN_TEXT_WIDTH
static const int MIN_TEXT_HEIGHT

### Public Methods

friend int operator==(const SimpleLabel &t1, const SimpleLabel &t2)
friend int Compare(SimpleLabel *r1, SimpleLabel *r2)
virtual void Undraw()
void DrawOutLine(const Point *c)
void SetPosition(const Point *pt)
void SetText(const string *s)
void SetGrafport(Grafport *g)
void CalcSize()
bool HitText(int x, int y)
const Point* GetPosition() const
const Point* GetTopLeft() const
const string* GetText() const
int GetWidth() const
int GetHeight() const
XFont* GetFont() const
void SetFont(XFont *f)
int FontHeight() const

### Protected Methods

Grafport* GetGrafport() const

## Documentation

> cell text class.

`CellText(Grafport *g, XFont *ft, Cell *parent)`
  creation.

`CellText(const CellText &text)`
  creation + initialization.

`void Draw()`

`void DrawAligned(TextAlign::Type a)`
  draw cell text.

`void UndrawAligned(TextAlign::Type a)`
  erase cell cell.

`void UpdatePosition(const Point *)`
  update position and redraw.

`void UpdateText(const string *)`
  update text and redraw.

`void UpdateFont(XFont *)`
  update font and redraw.

`virtual bool IsUnderlined() const`

`void SetUnderlined(bool b)`

`void UpdateUnderlined(bool b)`

`Cell* GetParent() const`

`void Write(OutputFile *f)`

`bool Read(InputFile *f, double format)`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de